Show / Hide Table of Contents

# Enum SDL.SDL_GameControllerButton

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public enum SDL_GameControllerButton

### Fields

Name | Description
--- | ---
SDL_CONTROLLER_BUTTON_A |
SDL_CONTROLLER_BUTTON_B |
SDL_CONTROLLER_BUTTON_BACK |
SDL_CONTROLLER_BUTTON_DPAD_DOWN |
SDL_CONTROLLER_BUTTON_DPAD_LEFT |
SDL_CONTROLLER_BUTTON_DPAD_RIGHT |
SDL_CONTROLLER_BUTTON_DPAD_UP |
SDL_CONTROLLER_BUTTON_GUIDE |
SDL_CONTROLLER_BUTTON_INVALID |
SDL_CONTROLLER_BUTTON_LEFTSHOULDER |
SDL_CONTROLLER_BUTTON_LEFTSTICK |
SDL_CONTROLLER_BUTTON_MAX |
SDL_CONTROLLER_BUTTON_RIGHTSHOULDER |
SDL_CONTROLLER_BUTTON_RIGHTSTICK |
SDL_CONTROLLER_BUTTON_START |
SDL_CONTROLLER_BUTTON_X |
SDL_CONTROLLER_BUTTON_Y |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()